
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #691

Bogus errors printed at end of .m4a file (due to use-after-free)

December 19, 2016 15:10 - Anonymous

Status: Closed Start date: December 19, 2016

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/ffaudio Estimated time: 0.00 hour

Target version: 3.8.2   

Affects version: 3.8.1   

Description

When some .m4a files are played the error of:

Error playing file

This happens toward the end of the song, but despite the error audacious will keep on playing.  Also when you try to play the song

that has the error it will still play.  Other audio players do not give an error.

More info can also be found here:

https://bugs.archlinux.org/task/51860

History

#1 - December 21, 2016 16:26 - John Lindgren

Please attach:

- An example file

- Output of "audacious -V"

#2 - December 21, 2016 19:53 - Anonymous

John Lindgren wrote:

Please attach:

- An example file

- Output of "audacious -V"

 

(output redacted for privacy reasons at request of author, relevant snippet is in next comment below)

#3 - December 22, 2016 20:30 - John Lindgren

- Status changed from New to Rejected

Your file is corrupt, not a bug:
ERROR ffaudio-core.cc:185 [aac]: <0x7f2b1407f200> channel element 3.0 is not allocated

ERROR ffaudio-core.cc:214 [log_result]: avcodec_send_packet failed: Invalid data found when processing input

#4 - December 22, 2016 21:08 - John Lindgren

- Status changed from Rejected to New

I spoke too soon, there seems to be some memory handling issue between Audacious and FFmpeg.  I am looking into it.

#5 - December 22, 2016 21:30 - John Lindgren

- Subject changed from Error playing file to Bogus errors printed at end of .m4a file (due to use-after-free)

- Category set to plugins/ffaudio

- Status changed from New to Closed

- Target version set to 3.8.2

- % Done changed from 0 to 100

#6 - December 22, 2016 21:55 - Anonymous

(comment deleted at request of author)

#7 - December 22, 2016 21:58 - Anonymous

(comment deleted at request of author)

#8 - December 23, 2016 13:22 - Thomas Lange

Good work John, this fixes also #668 and #689.

Powered by TCPDF (www.tcpdf.org)

May 17, 2025 2/2

http://redmine.audacious-media-player.org/issues/668
http://redmine.audacious-media-player.org/issues/689
http://www.tcpdf.org

